#ifndef CCPARAM_H
#define CCPARAM_H

#include <CCConfig.h>
using namespace std;

// global parameters for CCBGKit
class CCAPI CCParam
{
	// global parameters for AT&T
	int m_ATT_TOPNMOLS;  // save top N molecules in each LeadOpt of Multi-AT&T iteration
	bool m_RECAP;        // whether search matching bond on RECAP bond

	// global parameters for BondMatch
	double m_BondMatch_adist;     // distance cutoff of matching atoms
	double m_BondMatch_cdist;     // distance cutoff of matching atoms
	double m_BondMatch_angle;     // angle cutoff of matching bonds
	int    m_BondMatch_method;    // match method BONDMATCH_AP/BONDMATCH_BC
	int    m_BondMatch_type;      // match type BONDMATCH_ALL/BONDMATCH_VALID
	bool   m_BondMatch_ignoreH;   // whether ignore hydrogen in matching bonds
};

#endif

