#ifndef CCCONFIG_H
#define CCCONFIG_H

#define WIN32_LEAN_AND_MEAN
// disable warning
#pragma warning (disable : 4996) // 'strcpy' deprecated
#pragma warning (disable : 4018) // 'signed' / 'unsigned' mismatch
#pragma warning (disable : 4267) // conversion from 'int' to 'int
#pragma warning (disable : 4800) // forcing value to bool 'true' or 'false'
#pragma warning (disable : 4244) // conversion from '__w64 int' to 'streamsize'
#pragma warning (disable : 4251) // vector needs to have dll-interface to be used by clients of class

#include <cstddef>
#include <cstdio>
#include <cstdlib>
#include <cctype>
#include <ctime>
#include <cmath>
//#include <cassert>
#include <iostream>
#include <fstream>
#include <iomanip>
#include <string>
#include <sstream>
#include <vector>
#include <map>
#include <set>
#include <list>
#include <queue>
//#include <stack>
#include <algorithm>
#include <limits>

using namespace std;

// macro

#if defined(EXPORT_CC_DLL)
#define CCAPI __declspec(dllexport)
#elif defined(USING_CC_DLL)
#define CCAPI __declspec(dllimport)
#else
#define CCAPI
#endif

#if defined(EXPORT_CC_DLL)
#define EXTERN __declspec(dllexport) extern
#elif defined(USING_CC_DLL)
#define EXTERN __declspec(dllimport) extern
#else
#define EXTERN extern
#endif

const string CCBGKit_HOME = ".";
const string CCBGKit_VERSION = "v0.1";

#ifdef WIN32
const string FILE_SEP_CHAR = "\\";
#else
const string FILE_SEP_CHAR = "/";
#endif

#ifndef BUFF_SIZE
#define BUFF_SIZE 1024
#endif

#endif

